    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * -------------------
    028 * KeyDescription.java
    029 * -------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: KeyDescription.java,v 1.2 2005/10/18 13:32:37 mungady Exp $
    036 *
    037 * Changes
    038 * -------------------------
    039 * 21.06.2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml.generator.model;
    044
    045/**
    046 * A key description.
    047 */
    048public class KeyDescription {
    049
    050    /** The parameters. */
    051    private TypeInfo[] parameters;
    052
    053    /** The comments. */
    054    private Comments comments;
    055
    056    /**
    057     * Creates a new key description instance.
    058     *
    059     * @param parameters  the parameters.
    060     */
    061    public KeyDescription(final TypeInfo[] parameters) {
    062        this.parameters = parameters;
    063    }
    064
    065    /**
    066     * Returns the parameters.
    067     *
    068     * @return The parameters.
    069     */
    070    public TypeInfo[] getParameters() {
    071        return this.parameters;
    072    }
    073
    074    /**
    075     * Returns the comments.
    076     *
    077     * @return The comments.
    078     */
    079    public Comments getComments() {
    080        return this.comments;
    081    }
    082
    083    /**
    084     * Sets the comments.
    085     *
    086     * @param comments  the comments.
    087     */
    088    public void setComments(final Comments comments) {
    089        this.comments = comments;
    090    }
    091}